%define anolis_release 1
# hardened build if not overridden
%{!?_hardened_build:%global _hardened_build 1}

%if %{?_hardened_build}%{!?_hardened_build:0}
%global hardened_flags -pie -Wl,-z,relro,-z,now
%endif

Summary: Mail processing program
Name:    procmail
Version: 3.24
Release: %{anolis_release}%{?dist}
License: GPLv2+ or Artistic
URL:     https://github.com/BuGlessRB/%{name}
Source0: %{URL}/archive/v%{version}/%{name}-%{version}.tar.gz
# Source1: http://www.linux.org.uk/~telsa/BitsAndPieces/procmailrc
# The Telsa config file doesn't seem to be available anymore, using local copy
Source1: procmailrc
Patch0:  procmail-3.24-rhconfig.patch
Patch1:  procmail-3.22-truncate.patch
Patch2:  procmail-3.24-ipv6.patch

BuildRequires: make
BuildRequires: gcc

%description
Procmail can be used to create mail-servers, mailing lists, sort your
incoming mail into separate folders/files (real convenient when subscribing
to one or more mailing lists or for prioritising your mail), preprocess
your mail, start any programs upon mail arrival (e.g. to generate different
chimes on your workstation for different types of mail) or selectively
forward certain incoming mail automatically to someone.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{EVR}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -p1

find examples -type f | xargs chmod 644

%build
make RPM_OPT_FLAGS="$(getconf LFS_CFLAGS)" autoconf.h
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS %{?hardened_flags} -Wno-comments $(getconf LFS_CFLAGS)"

%install
rm -rf ${RPM_BUILD_ROOT}
mkdir -p ${RPM_BUILD_ROOT}%{_bindir}
mkdir -p ${RPM_BUILD_ROOT}%{_mandir}/man{1,5}

make \
    BASENAME=${RPM_BUILD_ROOT}%{_prefix} MANDIR=${RPM_BUILD_ROOT}%{_mandir} \
    install

cp -p %{SOURCE1} telsas_procmailrc

%files
%doc examples telsas_procmailrc
%{_bindir}/formail
%attr(2755,root,mail) %{_bindir}/lockfile
%{_bindir}/mailstat
%attr(0755,root,mail) %{_bindir}/procmail

%{_mandir}/man[15]/*

%files doc
%doc Artistic COPYING FAQ FEATURES HISTORY README KNOWN_BUGS

%changelog
* Fri Mar 17 2023 Yuanhong Peng <yummypeng@linux.alibaba.com> - 3.24-1
- Init from upstream
